Test kataloğu
Panelleri listele
Panel kataloğuna göz at
GET
/
api
/
v1
/
panels
curl --url 'https://anivahealth.com/api/v1/panels' \
--header 'x-api-key: YOUR_API_KEY'
[
{
"id": "f1c2d4a3-7b8e-4f2a-9c1d-2e3f4a5b6c7d",
"name": "Hormones (Female)",
"description": "Cycle-related hormones for women, including thyroid.",
"biomarker_ids": [42, 43, 44, 51],
"biomarker_groups": [
{ "biomarker_ids": [42], "required": true, "inclusion_condition": null },
{ "biomarker_ids": [43, 44], "required": true, "inclusion_condition": null },
{ "biomarker_ids": [51], "required": true, "inclusion_condition": "sex=2" }
],
"pricing": { "price_cents": 11900, "retail_cents": 14900 }
},
{
"id": "9c1d2e3f-4a5b-4c7d-8e9f-0a1b2c3d4e5f",
"name": "Custom",
"description": null,
"biomarker_ids": [],
"biomarker_groups": [],
"pricing": { "price_cents": null, "retail_cents": null }
}
]
API anahtarının Panel ekle üzerinden ekleyebileceği panelleri
döndürür.
panels_access kapsamını gerektirir. pricing nesnesi ayrıca prices_view kapsamını
gerektirir.
Bir kan almanın kaç sonuç döndürdüğünü bilmek için
biomarker_groups öğelerini say. Bir grup
birbirinin yerine geçebilen biyobelirteçleri listeler (hs-CRP veya CRP) ve laboratuvar bunlardan
yalnızca birini ölçer.İstek
Sorgu parametreleri
price_cents için fiyat tarifesi: retail veya Fiyat tarifesini
al içindeki bir tarife id değeri. Varsayılan olarak fatura hesabının tarifesidir, yoksa perakendedir.
retail_cents her zaman perakendeyi kullanır.Yanıt
Bir panel dizisi döndürür.Panel UUID’si. Bunu Panel ekle isteğine gönder.
biomarker_groups içindeki tüm biyobelirteçler tek bir listede. Bkz. Biyobelirteçleri
listele.Panelin gerektirdiği gruplar. Özel panel için boştur: biyobelirteçlerini Tekil
biyobelirteç ekle ile ekle.
Göster grup
Göster grup
Grubun kimlere uygulanacağı, örneğin
&& veya || ile birleştirilmiş sex=2 veya age>50. sex,
ISO/IEC 5218 standardındadır (1 erkek, 2 kadın). null herkes anlamına gelir. Randevuyu
önizle bunu bir hastaya uygular.Tarifendeki ve perakendedeki fiyat. Bkz. fiyat
nesneleri. Anahtarında
prices_view yoksa null
döner. Özel panel için price_cents değeri null olur.Hata yanıtları
| Durum | Açıklama |
|---|---|
400 | Geçersiz sorgu, örneğin bilinmeyen bir rate_card. |
403 | panels_access kapsamı eksik. |
500 | İç sunucu hatası. |
curl --url 'https://anivahealth.com/api/v1/panels' \
--header 'x-api-key: YOUR_API_KEY'
[
{
"id": "f1c2d4a3-7b8e-4f2a-9c1d-2e3f4a5b6c7d",
"name": "Hormones (Female)",
"description": "Cycle-related hormones for women, including thyroid.",
"biomarker_ids": [42, 43, 44, 51],
"biomarker_groups": [
{ "biomarker_ids": [42], "required": true, "inclusion_condition": null },
{ "biomarker_ids": [43, 44], "required": true, "inclusion_condition": null },
{ "biomarker_ids": [51], "required": true, "inclusion_condition": "sex=2" }
],
"pricing": { "price_cents": 11900, "retail_cents": 14900 }
},
{
"id": "9c1d2e3f-4a5b-4c7d-8e9f-0a1b2c3d4e5f",
"name": "Custom",
"description": null,
"biomarker_ids": [],
"biomarker_groups": [],
"pricing": { "price_cents": null, "retail_cents": null }
}
]
⌘I
curl --url 'https://anivahealth.com/api/v1/panels' \
--header 'x-api-key: YOUR_API_KEY'
[
{
"id": "f1c2d4a3-7b8e-4f2a-9c1d-2e3f4a5b6c7d",
"name": "Hormones (Female)",
"description": "Cycle-related hormones for women, including thyroid.",
"biomarker_ids": [42, 43, 44, 51],
"biomarker_groups": [
{ "biomarker_ids": [42], "required": true, "inclusion_condition": null },
{ "biomarker_ids": [43, 44], "required": true, "inclusion_condition": null },
{ "biomarker_ids": [51], "required": true, "inclusion_condition": "sex=2" }
],
"pricing": { "price_cents": 11900, "retail_cents": 14900 }
},
{
"id": "9c1d2e3f-4a5b-4c7d-8e9f-0a1b2c3d4e5f",
"name": "Custom",
"description": null,
"biomarker_ids": [],
"biomarker_groups": [],
"pricing": { "price_cents": null, "retail_cents": null }
}
]